services:
  app:
    image: orenciso/xgame-smart-contract:latest
    container_name: xgame-smart-contract
    env_file:
      - .env
    ports:
      - 3015:3015

  copy-smart-contract-env:
    image: orenciso/xgame-smart-contract:latest
    container_name: copy-smart-contract-env
    volumes:
      - /var/www/xgame-apis/xgame-smart-contract/.env:/temp/.env
    command: sh -c "cp /temp/.env /app/.env && exit"
